Bug 1217434 - [RFE][HC] - Need to add indication of HC in cluster view
Summary: [RFE][HC] - Need to add indication of HC in cluster view
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
: 3.6.0
Assignee: Oved Ourfali
QA Contact: Pavel Stehlik
URL:
Whiteboard: infra
Depends On:
Blocks: Generic_Hyper_Converged_Host
TreeView+ depends on / blocked
 
Reported: 2015-04-30 11:00 UTC by Yaniv Lavi
Modified: 2016-02-10 19:30 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-21 15:33:23 UTC
oVirt Team: Infra


Attachments (Terms of Use)
cluster type (88.35 KB, image/jpeg)
2015-06-18 11:06 UTC, Eldan Hildesheim
no flags Details

Description Yaniv Lavi 2015-04-30 11:00:21 UTC
Description of problem:
Need to add indication of HC in cluster view to easily recognize HC cluster for virt\gluster clusters.

Comment 1 Oved Ourfali 2015-04-30 12:11:39 UTC
(In reply to Yaniv Dary from comment #0)
> Description of problem:
> Need to add indication of HC in cluster view to easily recognize HC cluster
> for virt\gluster clusters.

The cluster specifies whether virt and gluster are supported.
HC cluster means, afaiu, both virt and gluster support... Isn't it enough?

Comment 2 Yaniv Lavi 2015-05-05 08:25:59 UTC
(In reply to Oved Ourfali from comment #1)
> (In reply to Yaniv Dary from comment #0)
> > Description of problem:
> > Need to add indication of HC in cluster view to easily recognize HC cluster
> > for virt\gluster clusters.
> 
> The cluster specifies whether virt and gluster are supported.
> HC cluster means, afaiu, both virt and gluster support... Isn't it enough?

In edit of the main grid?

Comment 3 Oved Ourfali 2015-05-05 08:51:31 UTC
(In reply to Yaniv Dary from comment #2)
> (In reply to Oved Ourfali from comment #1)
> > (In reply to Yaniv Dary from comment #0)
> > > Description of problem:
> > > Need to add indication of HC in cluster view to easily recognize HC cluster
> > > for virt\gluster clusters.
> > 
> > The cluster specifies whether virt and gluster are supported.
> > HC cluster means, afaiu, both virt and gluster support... Isn't it enough?
> 
> In edit of the main grid?

In "General".
See http://i.imgur.com/xKRaFYd.png

Comment 4 Yaniv Lavi 2015-05-05 08:58:31 UTC
(In reply to Oved Ourfali from comment #3)
> (In reply to Yaniv Dary from comment #2)
> > (In reply to Oved Ourfali from comment #1)
> > > (In reply to Yaniv Dary from comment #0)
> > > > Description of problem:
> > > > Need to add indication of HC in cluster view to easily recognize HC cluster
> > > > for virt\gluster clusters.
> > > 
> > > The cluster specifies whether virt and gluster are supported.
> > > HC cluster means, afaiu, both virt and gluster support... Isn't it enough?
> > 
> > In edit of the main grid?
> 
> In "General".
> See http://i.imgur.com/xKRaFYd.png

This RFE is to add icon or similar to indicate that in the main grid.

Comment 5 Oved Ourfali 2015-05-05 09:17:44 UTC
Einav - how would you want this to look like?

Comment 6 Einav Cohen 2015-05-07 19:38:47 UTC
(In reply to Oved Ourfali from comment #5)
> Einav - how would you want this to look like?

I recommend consulting directly with Eldan on this - he should already be deeply involved in the UX design for HC in general.

Comment 7 Oved Ourfali 2015-06-16 12:06:52 UTC
Eldan - thoughts?

Comment 8 Oved Ourfali 2015-06-16 12:07:34 UTC
Yaniv - will this be postponed to 4.0?
Doesn't seem critical to me for 3.6, assuming we have all data in the General sub-tab.

Comment 9 Yaniv Lavi 2015-06-17 07:48:59 UTC
(In reply to Oved Ourfali from comment #8)
> Yaniv - will this be postponed to 4.0?
> Doesn't seem critical to me for 3.6, assuming we have all data in the
> General sub-tab.

All HC items are still pending on schedule decision. For now leave them on 3.6.

Comment 10 Eldan Hildesheim 2015-06-18 11:06:02 UTC
Created attachment 1040414 [details]
cluster type

I agree with Oved.
But in case this is crucial - we can add a column (since the Cluster main grid is not too crowded) and show there a 3 state icon as shown in the mockup.

Comment 11 Yaniv Lavi 2015-06-21 15:33:23 UTC
After UX discussion we decided to leave things as is.
See comment #10.


Note You need to log in before you can comment on or make changes to this bug.